/******************************************************************************
 file : search.js
 description : pXNvg
 date : 2009/02
 update : 2015/4/22 Adobe Acrobat Reader DCΉ
 
 Copyright (C) Epson Direct Corporation 2008-2015
******************************************************************************/

var enableButton = "";
var disableButton = "";
var gwinname = "";
var SYNC_ASYNC = true;		// WEB ([h=true, 񓯊[h=false)

function initSearch() {
	over();
	
	gwinname = window.name;
	switch(gwinname) {
	case "main":
		enableButton = "shared/img/btn_search.gif";
		disableButton = "shared/img/btn_search_d.gif";
		top.giViewStatus = top.VIEW_TOP;
		break;
	case "localmenu":
		enableButton = "../shared/img/btn_search_gray.gif";
		disableButton = "../shared/img/btn_search_gray_d.gif";
		top.giViewStatus = top.VIEW_SEARCH;	// ʕ\
		break;
	}
	switch(gwinname) {
	case "main":
	case "localmenu":
		if(!top.gbEnableProductKey) {
			top.MessageBox("v_NgL[ݒ肪ł", 16);
			return;
		}
		top.gsHREFContents = "";
		if(gwinname == "localmenu") {
			top.clearHistory();	// 폜
			form1.select.onchange = function() {
				top.gContent = event.srcElement.selectedIndex;
			}
			document.getElementById("results-box").onclick = function() {
				//window.event.cancelBubble = true;
				if(event.srcElement.tagName == "A") {
					viewDocument(parent.main.page, event.srcElement.id, "search/page.html", event.srcElement.ctype);
					return false;
				}
				if(event.srcElement.tagName == "SPAN" && event.srcElement.parentNode.tagName == "A") {
					viewDocument(parent.main.page, event.srcElement.parentNode.id, "search/page.html", event.srcElement.parentNode.ctype);
					return false;
				}
				if(event.srcElement.tagName == "SPAN" && event.srcElement.parentNode.tagName == "SPAN" && event.srcElement.parentNode.parentNode.tagName == "A") {
					viewDocument(parent.main.page, event.srcElement.parentNode.parentNode.id, "search/page.html", event.srcElement.parentNode.parentNode.ctype);
					return false;
				}
				return;
			}
		
			var sel = document.form1.select;
			var index = 0;
			sel.options[index++] = new Option("ׂđΏ");
			while(index <= top.gobjSearch.GetGroupCount()) {
				var space = "";
				for(var i = 1; i < top.gobjSearch.GetGroupDepth(index); i++) {
					space += "@";
				}
				sel.options[index] = new Option(space + top.gobjSearch.GetGroupName(index));
				index++;
			}
			sel.selectedIndex = top.gContent;
		}

		document.getElementById("question").value = top.gsQuestionValue;
		if(top.gsQustionValue == "") {
			clearQuestion();
		}
		if(top.gsQuestionValue.length > 0) {
			document.getElementById("button").disabled = false;
			document.getElementById("button").src = enableButton;
		}

		document.getElementById("question").focus();
		//document.getElementById("question").select();

		if(top.gsQuestionValue.length > 0) {
			if(top.gbSearchStart) {
				top.gbSearchStart = false;
				top.gbNoSearch = true;
				if(searchExecute(document.getElementById("question").value, top.gContent)) {
					top.gbNoSearch = false;	// [J
					var grn = (top.gContent <= 0 ? '' : top.gobjSearch.GetGroupName(top.gContent));
					if(readReg("online") == "true" && isWebSearchContents(top.gContent)) {
						var cat = "";
						var pid = top.footerarea.getProductCategory();
						var osid = top.footerarea.getOSCategory();
						if(pid.length) {
							cat += "PRODUCT=" + pid;
						}
						if(osid.length) {
							if(cat.length) cat += ";";
							cat += "MAIN3=" + osid;
						}
						if(cat.length) cat += ";";
						cat += "MAIN=002002001";
						//alert(cat);
						searchWebExecute(document.getElementById("question").value, cat, SYNC_ASYNC);
					}
					else {
						top.gbNoWebSearch = true;
					}
					top.giViewStatus = top.VIEW_SEARCH;	// ʕ\
					top.giContentsIndex = -1;
					viewResult(1, top.gContent);
					top.giContentsIndexMin = getContentsIndexMin();
					top.giContentsIndexMax = getContentsIndexMax();//top.gobjSearch.GetResultCount() + (!top.gbNoWebSearch ? top.gobjSearchWeb.GetResultCount(1) : 0);
				}
			}
			else {
				if(top.gbSearchResultUpdate) {
					top.gbSearchResultUpdate = false;
					top.giViewStatus = top.VIEW_SEARCH;	// ʕ\
					top.giContentsIndex = -1;
					if(!top.gbNoSearch || !top.gbNoWebSearch) {
						viewResult(1, top.gContent);
						top.giContentsIndexMin = getContentsIndexMin();
						top.giContentsIndexMax = getContentsIndexMax();//(!top.gbNoSearch ? top.gobjSearch.GetResultCount() : 0) + (!top.gbNoWebSearch ? top.gobjSearchWeb.GetResultCount(1) : 0);
					}
					else {
						document.getElementById("searchCount").innerText = "0";
					}
				}
			}
		}
		else {
			if(gwinname == "localmenu") document.getElementById("searchCount").innerText = "0";
		}
		
		document.getElementById("question").onkeyup = function() {
			if(this.value.length == 0) {
				document.getElementById("button").disabled = true;
				document.getElementById("button").src = disableButton;
			}
			else {
				document.getElementById("button").disabled = false;
				document.getElementById("button").src = enableButton;
			}
		}
		document.getElementById("question").onkeypress = function() {
			if(event.keyCode == 13) {
				if(this.value.length != 0) {
					searchStart();
					return false;
				}
				event.keyCode = 0;
				return false;
			}
		}
		document.getElementById("button").onclick = function() {
			searchStart();
			return false;
		}
		break;
	}
	a_dragDropDisable(this);
}

function initSearch2(groutName, page) {
	if(!top.gbEnableProductKey) {
		top.MessageBox("v_NgL[ݒ肪ł", 16);
		return;
	}
	top.gsHREFContents = "";
	enableButton = "shared/img/btn_search.gif";
	disableButton = "shared/img/btn_search_d.gif";
	top.clearHistory();	// 폜
	document.getElementById("question").onkeyup = function() {
		if(this.value.length == 0) {
			document.getElementById("button").disabled = true;
			document.getElementById("button").src = disableButton;
		}
		else {
			document.getElementById("button").disabled = false;
			document.getElementById("button").src = enableButton;
		}
	}
	document.getElementById("question").onkeypress = function() {
		if(event.keyCode == 13) {
			if(this.value.length != 0) {
				searchStart2(groutName, page);
				return false;
			}
			event.keyCode = 0;
			return false;
		}
	}
	document.getElementById("button").onclick = function() {
		searchStart2(groutName, page);
		return false;
	}
}

function initSearch3() {
	document.getElementById("results-box").onclick = function() {
		var page = "";
		switch(top.giViewStatus) {
		case top.VIEW_USEFUL:
			page = "useful/page.html";
			break;
		case top.VIEW_VIEWER:
			page = "viewer/page.html";
			break;
		}
		if(event.srcElement.tagName == "A") {
			viewDocument(parent.main.page, event.srcElement.id, page, event.srcElement.ctype);
			return false;
		}
		if(event.srcElement.tagName == "SPAN" && event.srcElement.parentNode.tagName == "A") {
			viewDocument(parent.main.page, event.srcElement.parentNode.id, page, event.srcElement.parentNode.ctype);
			return false;
		}
		if(event.srcElement.tagName == "SPAN" && event.srcElement.parentNode.tagName == "SPAN" && event.srcElement.parentNode.parentNode.tagName == "A") {
			viewDocument(parent.main.page, event.srcElement.parentNode.parentNode.id, page, event.srcElement.parentNode.parentNode.ctype);
			return false;
		}
		return;
	}
	top.main.contents.main.page.location.href = "page.html";
	switch(top.giViewStatus) {
	case top.VIEW_USEFUL:
		top.main.contents.main.icon.enableIcon("goweb", false);
		break;
	}
	viewResult(1, top.gContentCat);
}

function isWebSearchContents(num) {
	var grn = (num <= 0 ? '' : top.gobjSearch.GetGroupName(num));
	if(num == 0) return true;
	switch(grn) {
	case "FAQRec":
	case "gu":
	case "g":
		return true;
	}
	return false;
}

function searchStart() {
	top.gsQuestionValue = document.getElementById("question").value;
	if(gwinname == "main") { // top_main.html
		top.main.location.href = "search/index.html";
		top.gsTitleContents = "";
		top.gsHREFContents = "";
		top.gsFileType = "";
		top.giTypeContents = top.ALL_CONTENT;
		top.gContent = top.ALL_CONTENT;
		top.gbSearchStart = true;
	}
	else { // search/index.html
		top.gbNoSearch = true;
		if(searchExecute(document.getElementById("question").value, top.gContent)) {
			top.gbNoSearch = false;	// [J
			var grn = (top.gContent <= 0 ? '' : top.gobjSearch.GetGroupName(top.gContent));
			if(readReg("online") == "true" && isWebSearchContents(top.gContent)) {
				var cat = "";
				var pid = top.footerarea.getProductCategory();
				var osid = top.footerarea.getOSCategory();
				if(pid.length) {
					cat += "PRODUCT=" + pid;
				}
				if(osid.length) {
					if(cat.length) cat += ";";
					cat += "MAIN3=" + osid;
				}
				if(cat.length) cat += ";";
				cat += "MAIN=002002001";
				
				searchWebExecute(document.getElementById("question").value, cat, SYNC_ASYNC);
			}
			else {
				top.gbNoWebSearch = true;
			}
			top.giViewStatus = top.VIEW_SEARCH;	// ʕ\
			top.giContentsIndex = -1;
			viewResult(1, top.gContent);
			top.giContentsIndexMin = getContentsIndexMin();
			top.giContentsIndexMax = getContentsIndexMax();//top.gobjSearch.GetResultCount() + (!top.gbNoWebSearch ? top.gobjSearchWeb.GetResultCount(1) : 0);
		}
	}
}

function searchStart2(groupName, page) {
	var index = 1;
	var grpc = top.gobjSearch.GetGroupCount();
	if(grpc <= 0) {
		top.MessageBox(top.gobjSearch.GetErrorString(grpc), 16);
		return false;
	}
	while(index <= grpc) {
		if(top.gobjSearch.GetGroupName(index) == groupName) break;
		index++;
	}
	top.gContentCat = -1;
	if(index > top.gobjSearch.GetGroupCount()) {	// w̃O[v݂͑Ȃ
		return false;
	}
	var pagehref;
	switch(page) {
	case 2:
		pagehref = "viewer/local.html";
		break;
	default:
		pagehref = "useful/local.html";
		break;
	}
	top.gbNoSearch = true;
	top.gbNoWebSearch = true;
	if(searchExecute(document.getElementById("question").value, index)) {
		top.gbNoSearch = false;	// [J
		top.giContentsIndex = -1;
		top.giContentsIndexMin = 0;
		top.giContentsIndexMax = top.gobjSearch.GetResultCount();
		top.gContentCat = index;
		top.main.contents.localmenu.location.href = pagehref;
		return true;
	}
	return false;
}

function clearQuestion(obj) {
	top.gbSearchStart = false;
	top.gbSearchResultUpdate = false;
	top.gbNoSearch = true;
	top.gbNoWebSearch = true;
	obj.document.getElementById("question").value = "";
	top.gsQuestionValue = "";
	obj.document.getElementById("question").focus();
	obj.document.getElementById("button").disabled = true;
	if(disableButton == "") {
		switch(obj.window.name) {
		case 'main':
			disableButton = "shared/img/btn_search_d.gif";
			break;
		default:
			disableButton = "../shared/img/btn_search_gray_d.gif";
			break;
		}
	}
	
	obj.document.getElementById("button").src = disableButton;
}

function getContentsIndexMin() {
	var max = (!top.gbNoSearch ? top.gobjSearch.GetResultCount() : 0) + (!top.gbNoWebSearch ? top.gobjSearchWeb.GetResultCount(1) : 0);
	var min = 0;
	while(top.gaContentType[min] < 0 && min < max) {
		min++;
	}
	return min;
}

function getContentsIndexMax() {
	var max = (!top.gbNoSearch ? top.gobjSearch.GetResultCount() : 0) + (!top.gbNoWebSearch ? top.gobjSearchWeb.GetResultCount(1) : 0);
	while(top.gaContentType[max] < 0 && max > 0) {
		max--;
	}
	return max;
}

function searchExecute(text, index) {
	var error;
	if(!top.gbSession) {
		if((error = top.gobjSearch.CreateRunSession()) == 0) {
			top.gbSession = true;
		}
		else {
			top.MessageBox(top.gobjSearch.GetErrorString(error), 16);
			return false;
		}
	}
	top.gobjSearch.UpdateDatabaseInfo();
	top.gobjSearch.OpenDatabases(index);
	try {
		if(error = top.gobjSearch.Search( text, "", true )) {
			top.MessageBox(top.gobjSearch.GetErrorString(error), 16);
			return false;
		}
	}
	catch(e) {
		top.MessageBox("f[^x[X쐬ĂȂߌł܂B\n\nEBhEÉuݒv茟̍č\z\nȂĂB", 48);
		return false;
	}
	var icons = top.main.contents.main.icon;
	try {
		icons.enableIcon("dirback", false);
		icons.enableIcon("dirnext", false);
	}
	catch(e) {
	}
	return true;
}

function searchWebExecute(text, category, sync) {
	top.gbNoWebSearch = true;
	if(!top.gbSessionWeb) {
		if(top.gobjSearchWeb.OpenHttp(true) == 0) {
			top.gbSessionWeb = true;
			top.gobjSearchWeb.SetTimeout(15000);	// 15b^CAEg
			if(!sync) {
				top.gobjSearchWeb.SetResponseHandler(searchWebEnd);
			}
		}
		else {
			top.MessageBox(top.gobjSearchWeb.ErrorString, 16);
			return false;
		}
	}
	if(top.gobjSearchWeb.Search( text, category, sync)) {
		top.MessageBox(top.gobjSearchWeb.ErrorString, 16);
		return false;
	}
	if(sync) {	// [hȂ΁A
		top.gbNoWebSearch = false; // WEBI
	}
	return true;
}

function searchWebEnd(async_type, err_code, err_str) {
	if(err_code != 0) {
		top.MessageBox(err_str, 16);
		return false;
	}
	top.gbNoWebSearch = false;	// WEB
	top.giViewStatus = top.VIEW_SEARCH;	// ʕ\
	top.giContentsIndex = -1;
	if(!top.gbNoSearch || !top.gbNoWebSearch) {
		viewResult(1, top.gContent);
		top.giContentsIndexMin = getContentsIndexMin();
		top.giContentsIndexMax = getContentsIndexMax();//(!top.gbNoSearch ? top.gobjSearch.GetResultCount() : 0) + (!top.gbNoWebSearch ? top.gobjSearchWeb.GetResultCount(1) : 0);
	}
	else {
		document.getElementById("searchCount").innerText = "0";
	}
	return true;
}

function viewResult(page, content) {
	var rcl = top.gobjSearch.GetResultCount();
	var rcw = top.gobjSearchWeb.GetResultCount(1);
	var rc0 = resultCount = (!top.gbNoSearch ? rcl : 0) + (!top.gbNoWebSearch ? rcw : 0);
	var contentScore = new Array();
	var contentWebScore = new Array();
	var contentTitle = new Array();
	var contentWebTitle = new Array();
	var fileType = new Array();
	var answerType = new Array();

	if(rc0 > top.MAX_RESULT_COUNT) { // 
		rc0 = resultCount = top.MAX_RESULT_COUNT;
	}

	if(!top.gbNoSearch) {
		for(var i = 0; i < rcl; i++) {
			contentScore[i] = parseInt(top.gobjSearch.GetFieldText(i+1, "RelativeScore"));
			contentTitle[i] = top.gobjSearch.GetFieldText(i+1, "Title");
			fileType[i] = top.gobjSearch.GetFieldText(i+1, "QQ_FileType");
			//alert(contentTitle[i] + "\r\n" + contentTitle[i].indexOf(top.gsQuestionValue));
		}
	}
	if(!top.gbNoWebSearch) {
		for(var i = 0; i < rcw; i++) {
			contentWebScore[i] = parseInt(top.gobjSearchWeb.GetFieldText(1, i+1, "Score"));
			contentWebTitle[i] = top.gobjSearchWeb.GetFieldText(1, i+1, "Title");
			answerType[i] = parseInt(top.gobjSearchWeb.GetFieldText(1, i+1, "ContentsType"));
		}
	}
		
	// }[W
	var locali = 0;
	var webi = 0;
	for(var i = 0; i < resultCount; i++) {
		if(locali < rcl && webi < rcw) {
			if(contentWebScore[webi] >= contentScore[locali]) { // XRAȏ́AWEBDŏʂ
				top.gaContentIndex[i] = webi + 1;
				top.gaContentType[i] = answerType[webi]; // WEBRec
				webi++;
			}
			else {
				top.gaContentIndex[i] = locali + 1;
				top.gaContentType[i] = 0; // [JRec
				locali++;
			}
		}
		else if(locali < rcl) {
			top.gaContentIndex[i] = locali + 1;
			top.gaContentType[i] = 0; // [JRec
			locali++;
		}
		else if(webi < rcw) {
			top.gaContentIndex[i] = webi + 1;
			top.gaContentType[i] = answerType[webi]; // WEBRec
			webi++;
		}
	}
	
	// PDFt@C̃^CgɎƓ̂܂܂ĂꍇAʂֈړB
	for(var i = 0; i < resultCount-1; i++) {
		if(top.gaContentType[i] != 0) continue; // [JRecȊO̓pX
		var ii = top.gaContentIndex[i] - 1;
		if((fileType[ii] != "PDF" && fileType[ii] != "PDF_MANUAL") || contentTitle[ii].indexOf(top.gsQuestionValue) < 0) {
			var k = i;
			var kk = ii;
			for(var j = i+1; j < resultCount; j++) {
				if(top.gaContentType[j] != 0) continue; // [JRecȊO̓pX
				var jj = top.gaContentIndex[j] - 1;
				if(contentScore[kk] == contentScore[jj] && fileType[jj] == "PDF" && contentTitle[jj].indexOf(top.gsQuestionValue) >= 0) {
					//alert(contentTitle[kk] + "\r\nto\r\n" + contentTitle[jj]);
					var swap0, swap1, swap2, swap3;
					swap0 = contentScore[kk];
					swap1 = contentTitle[kk];
					swap2 = fileType[kk];
					swap3 = top.gaContentIndex[k];
					contentScore[kk] = contentScore[jj];
					contentTitle[kk] = contentTitle[jj];
					fileType[kk] = fileType[jj];
					top.gaContentIndex[k] = top.gaContentIndex[j];
					contentScore[jj] = swap0;
					contentTitle[jj] = swap1;
					fileType[jj] = swap2;
					top.gaContentIndex[j] = swap3;
					kk == jj;
					k = j;
				}
			}
		}
	}
	
	// WebRecΏۊO폜
	if(rcw > 0 && content > 0) {
		var grn = top.gobjSearch.GetGroupName(content);
		var type = 0;
		var ansType = new Array();
		switch(grn) {
		case "gu":
			type = 1;
			ansType[0] = 1;	// answer Type gu
			ansType[1] = 2;	// answer Type dlEݒ
			break;
		case "g":
			type = 2;
			ansType[0] = 3;	// answer Type 𗧂
			break;
		}
		if(type > 0) {
			for(var i = 0; i < resultCount; i++) {
				if(top.gaContentType[i] >= 1) {	// WebRec
					var ansMatch = false;
					for(var j = 0; j < ansType.length; j++) {
						if(top.gaContentType[i] == ansType[j]) {
							ansMatch = true;
							break;
						}
					}
					if(!ansMatch) {	// answer type svł΁A폜
						rc0--;
						top.gaContentType[i] = -1;
					}
				}
			}
		}
	}
	
	switch(top.giContentsDelete) {
	case 1: // Webʍ폜
		for(var i = 0; i < resultCount; i++) {
			if(top.gaContentType[i] >= 1) { // WebRec
				var webid = top.gobjSearchWeb.GetFieldText(1, top.gaContentIndex[i], "originalqid");
				var idMatch = false;
				for(var j = 0; j < resultCount; j++) {
					if(j != i && top.gaContentType[j] == 0) {
						var file = top.gobjSearch.GetFieldText(top.gaContentIndex[j], "File");
						var splt = file.split('/');
						file = "";
						if(splt.length > 0) {
							if(splt[splt.length-1].match(/.html$/i)) {
								file = splt[splt.length-1];
							}
						}
						if(file.length) {
							var id = file.substr(0, 6);
							if(webid == id) {
								idMatch = true;
								break;
							}
						}
					}
				}
				if(idMatch) {
					rc0--;
					top.gaContentType[i] = -1;
				}
			}
		}
		break;
	case 2: // Localʍ폜
		for(var i = 0; i < resultCount; i++) {
			if(top.gaContentType[i] == 0) { // LocalRec
				var file = top.gobjSearch.GetFieldText(top.gaContentIndex[i], "File");
				var splt = file.split('/');
				file = "";
				if(splt.length > 0) {
					if(splt[splt.length-1].match(/.html$/i)) {
						file = splt[splt.length-1];
					}
				}
				var idMatch = false;
				if(file.length) {
					var id = file.substr(0, 6);
					for(var j = 0; j < resultCount; j++) {
						if(j != i && top.gaContentType[j] >= 1) {
							var webid = top.gobjSearchWeb.GetFieldText(1, top.gaContentIndex[j], "originalqid");
							if(webid == id) {
								idMatch = true;
								break;
							}
						}
					}
				}
				if(idMatch) {
					rc0--;
					top.gaContentType[i] = -1;
				}
			}
		}
		break;
	}
	
	document.getElementById("searchCount").innerText = rc0;
	
	if(rc0 >= 1) {
		viewResultX(page, resultCount, content, top.gaContentIndex, top.gaContentType);
	}
	else {
		document.getElementById("results-box").innerHTML = "";
	}
}

function viewResultX(page, count, content, contentIndex, contentType) {
	var resultHTML = '<ul>';
	for(var i = 0; i < count; i++) {
		if(contentType[i] == 0) { // [J
			var fileType = top.gobjSearch.GetFieldText(contentIndex[i], "QQ_FileType");
			var score = top.gobjSearch.GetFieldText(contentIndex[i], "RelativeScore");
			var title = top.gobjSearch.GetFieldText(contentIndex[i], "Title");
			var term = top.gobjSearch.GetBestHitContents(contentIndex[i], 64, "HitTerm");
			var group = top.gobjSearch.GetPublicDatabaseName(top.gobjSearch.GetFieldText(contentIndex[i], "ShortDbName"));
			var theme = top.gobjSearch.GetFieldText(contentIndex[i], "QQ_Theme")
			var conClass = "";
			switch(fileType) {
			case "HTML":
				title = title.replace(/^\[\d{6}\]/, "");
			case "TXT":
				conClass = "faq";
				if(group == "dq}jA") {
					conClass = "htmlmanual";
				}
				break;
			case "PDF":
				if(theme != "") title += " (" + theme + ")";
				conClass = "pdf";
				if(group == "dq}jA") {
					conClass = "pdfmanual";
				}
				break;
			default:
				conClass = "help";
				break;
			}
			resultHTML += '<li><div class="ruiji">' + score + '%</div><div class="title"><a href="#" id="' + contentIndex[i].toString() + '" class="' + conClass + '" ctype="local">' + title + '<br />';
			switch(top.giViewStatus) {
			case top.VIEW_SEARCH:
				if(fileType == "PDF" || fileType == "PDF_MANUAL") {
					resultHTML += '<span class="caption">' + term + '</span>';
				}
				break;
			default:
				resultHTML += '<span class="caption">' + term + '</span>';
				break;
			}
			resultHTML += '</a></div></li>';
//			resultHTML += '<li><div class="ruiji">' + score + '%</div><div class="title"><a href="#" id="' + contentIndex[i].toString() + '" class="' + conClass + '">' + title + '</a></div></li>';
		}
		else if(contentType[i] > 0){	// WEB
			var score = top.gobjSearchWeb.GetFieldText(1, contentIndex[i], "Score");
			var title = top.gobjSearchWeb.GetFieldText(1, contentIndex[i], "Title");
			//var term = top.gobjSearchWeb.GetBestHitContents(contentIndex[i], 64, "HitTerm");
			//var group = top.gobjSearchWeb.GetPublicDatabaseName(top.gobjSearch.GetFieldText(contentIndex[i], "ShortDbName"));
			var conClass = "webfaq";
			resultHTML += '<li><div class="ruiji">' + score + '%</div><div class="title"><a href="#" id="' + contentIndex[i].toString() + '" class="' + conClass + '" ctype="web">' + title + '</a></div></li>';
		}
	}
	resultHTML += "</ul>";
	document.getElementById("results-box").innerHTML = resultHTML;
	scrollTo(0, 0);
	a_dragDropDisable(this);
}

function isMinDocument(id, ctype) {
	for(var i = top.giContentsIndexMin; i < top.giContentsIndexMax; i++) {
		if(top.gaContentIndex[i] == id && (ctype == "local" ? top.gaContentType[i] == 0 : top.gaContentType[i] > 0)) {
			if(i == 0) return true;
			break;
		}
	}
	return false;
}

function isMaxDocument(id, ctype) {
	for(var i = top.giContentsIndexMin; i < top.giContentsIndexMax; i++) {
		if(top.gaContentIndex[i] == id &&  (ctype == "local" ? top.gaContentType[i] == 0 : top.gaContentType[i] > 0)) {
			if(i == top.giContentsIndexMax-1) return true;
			break;
		}
	}
	return false;
}

function getContentIndex(id, ctype) {
	for(var i = top.giContentsIndexMin; i < top.giContentsIndexMax; i++) {
		if(top.gaContentIndex[i] == id &&  (ctype == "local" ? top.gaContentType[i] == 0 : top.gaContentType[i] > 0)) {
			return i;
		}
	}
	return -1;
}

function viewDocument(view, id, page, ctype) {
	var icons = top.main.contents.main.icon;
	top.gsTitleContents = "";
	top.gsHREFContents = "";
	top.giTypeContents = 0;
	top.gsFileType = "";
	top.gsTopic = "";
	top.gsAnchorName = "";
	top.gsMap = "";
	top.gsKeyword = "";
	top.gsFAQID = "";
	top.gsFrame = "yes";
	top.giContentsIndex = getContentIndex(id, ctype);
	top.gsContentsType = ctype;
	top.clearHistory();
	icons.dirIcons();
	view.location.href = "file:///" + top.gsCurDirS + page;
	
	if(ctype == "local") {
		top.gsFileType = top.gobjSearch.GetFieldText(id, "QQ_FileType");
		var group = top.gobjSearch.GetPublicDatabaseName(top.gobjSearch.GetFieldText(id, "ShortDbName"));
		if(group == "dq}jA") {	// }jȀꍇ͋IɃt@CE^Cv̕ύX
			switch(top.gsFileType) {
			case "PDF":
				top.gsFileType = "PDF_MANUAL";
				break;
			default:
				top.gsFileType = "HTML_MANUAL";
				break;
			}
		}
		switch(top.gsFileType) {			
		case "HTML":
		case "HTML_MANUAL":
			if(top.gobjSearch.GetFieldText(id, "QQ_AnchorName") != "") {
				top.gsHREFContents = "file:///" + top.gobjSearch.GetFieldText(id, "File") + "#" + top.gobjSearch.GetFieldText(id, "QQ_AnchorName");
			}
			else {
				top.gsHREFContents = "file:///" + top.gobjSearch.GetFieldText(id, "File");
			}
			top.gsTitleContents = top.gobjSearch.GetFieldText(id, "Title").replace(/^\[\d{6}\]/, "");
			top.giTypeContents = top.HTML_LOCAL_CONTENT;
			view.location.href = top.gsHREFContents;
			top.setHistory(top.gsHREFContents, top.gsTitleContents, top.gsFileType);
			top.startContentsElementDisable(top.main.contents.main.page);
			icons.fontIcons(top.gsFontSize);
			icons.enableIcon("print", true);
			icons.enableIcon("bookmark", true);
			break;
		
		case "PDF":
		case "PDF_MANUAL":
			top.gsFile = top.gobjSearch.GetFieldText(id, "File");
			top.gsPage = top.gobjSearch.GetFieldText(id, "QQ_Page");
			top.gsHREFContents = "file:///" + top.gobjSearch.GetFieldText(id, "File") + "#page=" + top.gsPage + "&pagemode=none&view=fitH";
			var theme = top.gobjSearch.GetFieldText(id, "QQ_Theme");
			top.gsTitleContents = top.gobjSearch.GetFieldText(id, "Title") + (theme != "" ? " (" + theme + ")" : "");
			top.giTypeContents = top.PDF_CONTENT;
			try {
				switch(top.gobjPDF_type) {
				case 1:
					break;
				case 2:
					top.gobjPDF.src = "dummy";	// DCΉ(2015/4/22)
					break;
				}
			} catch(e) {}
			top.main.contents.main.page.location.href = top.gsCurDirS + "view.html";
			top.setHistory(top.gsHREFContents, top.gsTitleContents, top.gsFileType);
			top.startUpdateFrame();
			icons.enableIcon("fontsmall", false);
			icons.enableIcon("fontbig", false);
			icons.enableIcon("print", false);
			icons.enableIcon("bookmark", true);
			break;

		case "TXT":
			top.gsHREFContents = "file:///" + top.gobjSearch.GetFieldText(id, "File");
			top.gsTitleContents = top.gobjSearch.GetFieldText(id, "Title");
			top.giTypeContents = top.TEXT_CONTENT;
			view.location.href = top.gsHREFContents;
			top.setHistory(top.gsHREFContents, top.gsTitleContents, top.gsFileType);
			top.startUpdateFrame();
			icons.enableIcon("fontsmall", false);
			icons.enableIcon("fontbig", false);
			icons.enableIcon("print", true);
			icons.enableIcon("bookmark", true);
			break;
		
		case "CHM":
			top.gsAnchorName = top.gobjSearch.GetFieldText(id, "QQ_AnchorName");
			top.gsTopic = top.gobjSearch.GetFieldText(id, "QQ_Topic");
			top.gsHREFContents = top.gobjSearch.GetFieldText(id, "File");
			top.gsTitleContents = top.gobjSearch.GetFieldText(id, "Title");
			top.giTypeContents = top.WIN_CONTENT;
			// JgfBNgύXȂƁACHMt@Cɕ\ȂB
			var lastIndex = top.gsHREFContents.lastIndexOf("/", top.gsHREFContents);
			top.gobjWS.CurrentDirectory = top.gsHREFContents.substring(0, lastIndex);	// JgfBNg̕ύXB
			view.location.href = "ms-its:" + top.gsHREFContents + "::/" + top.gsTopic;
			top.setHistory("ms-its:" + top.gsHREFContents + "::/" + top.gsTopic, top.gsTitleContents, top.gsFileType);
			top.startContentsElementDisable(top.main.contents.main.page);//startContentsElementDisable(view);
			icons.fontIcons(top.gsFontSize);
			icons.enableIcon("print", true);
			icons.enableIcon("bookmark", true);
			break;

		case "H1S":
		case "HXS":
		case "MSHC":
			top.giTypeContents = top.WIN_CONTENT;
			top.gbPageLoaded = false;
			view.location.href = "file:///" + top.gsCurDirS + page;
			top.startUpdateFrame();
			top.gsTitleContents = top.gobjSearch.GetFieldText(id, "Title");
			top.gsHREFContents = top.gobjSearch.GetFieldText(id, "File");
			top.gsTopic = top.gobjSearch.GetFieldText(id, "QQ_Topic");
			top.gobjPCUU.CloseTask();
			clearInterval(giInt0);
			giInt0 = setInterval(viewTopic, 50);
			icons.enableIcon("fontsmall", false);
			icons.enableIcon("fontbig", false);
			icons.enableIcon("print", false);
			icons.enableIcon("bookmark", true);
			break;
		
		case "HLP":
			top.giTypeContents = top.WIN_CONTENT;
			top.gsTitleContents = top.gobjSearch.GetFieldText(id, "Title");
			top.gsHREFContents = top.gobjSearch.GetFieldText(id, "File");
			top.gsMap = top.gobjSearch.GetFieldText(id, "QQ_Map");
			top.gsKeyword = top.gobjSearch.GetFieldText(id, "QQ_Keywordt");
			if(top.gsKeyword == "") {
				top.gsKeyword = top.gobjSearch.GetFieldText(id, "Keywordt");
			}
			top.gobjSearch.OpenHelpWindow(id, view.screenLeft, view.screenTop, view.document.body.clientWidth, view.document.body.clientHeight);
			icons.enableIcon("fontsmall", false);
			icons.enableIcon("fontbig", false);
			icons.enableIcon("print", false);
			icons.enableIcon("bookmark", true);
			break;
		
		default:
			top.MessageBox("T|[gΏۊOt@CłB", 16);
			top.giTypeContents = 0;
			icons.enableIcon("fontsmall", false);
			icons.enableIcon("fontbig", false);
			icons.enableIcon("print", false);
			icons.enableIcon("bookmark", false);
			break;
		}
	}
	else if(ctype == "web") {
		top.gsFAQID = top.gobjSearchWeb.GetFieldText(1, id, "originalqid");
		var url = top.WEBSUPPORT_URL + "?syori=Contents";
		top.gsFileType = "HTML";
		top.gsTitleContents = top.gobjSearchWeb.GetFieldText(1, id, "Title");
		top.giTypeContents = top.HTML_WEB_CONTENT;
		top.gsHREFContents = url;
		top.gbPageLoaded = false;
		view.location.href = "file:///" + top.gsCurDirS + page;
		top.startUpdateFrame();
		clearInterval(giInt1);
		giInt1 = setInterval(viewWeb, 50);
		icons.enableIcon("fontsmall", false);
		icons.enableIcon("fontbig", false);
		icons.enableIcon("print", false);
		icons.enableIcon("bookmark", true);
	}
}

function getPos(elem) {
	var left = 0;
	var top = 0;
	while(elem) {
		left += elem.offsetLeft;
		top += elem.offsetTop;
		elem = elem.offsetParent;
	}
	return {offsetLeft:left, offsetTop:top}
}

var gbInsertMode = true;
function showKeywords(file, obj) {
	var args = new Array();
	args[0] = obj;
	args[1] = top;
	top.gobjWS.CurrentDirectory = top.gsCurDir;	// JgfBNglɖ߂B
	var elem = obj.document.getElementById("question");
	var pos = getPos(elem);
	var dl = top.screenLeft + pos.offsetLeft;
	var dt = top.screenTop + pos.offsetTop + 36 + (obj == top.main ? 0 : 69);
	showModalDialog(file, args, "help:no;resizable:no;scroll:no;dialogHeight:500px;dialogWidth:500px;dialogLeft:"+dl+"px;dialogTop:"+dt+"px;");
	document.getElementById("question").focus();
}
