/******************************************************************************
 file : utybutton.js
 description : @\{^
 date : 2009/02
 update : 2015/4/22 Adobe Acrobat Reader DCΉ
 
 Copyright (C) Epson Direct Corporation 2008-2015
******************************************************************************/

var goFrameset;
var gaIconImg = new Array();
var gaIconFunc = new Array();
gaIconImg["print"] = "ico_print";
gaIconImg["bookmark"] = "ico_bookmark";
gaIconImg["guide"] = "ico_guide";
gaIconImg["fontsmall"] = "ico_txt_small";
gaIconImg["fontbig"] = "ico_txt_big";
gaIconImg["dirback"] = "ico_back";
gaIconImg["dirnext"] = "ico_next";
gaIconImg["historyback"] = "ico_history_back";
gaIconImg["goweb"] = "btn_web";
gaIconFunc["print"] = printPage;
gaIconFunc["bookmark"] = bookmarkPage;
gaIconFunc["guide"] = guidePage;
gaIconFunc["fontsmall"] = smallFont;
gaIconFunc["fontbig"] = bigFont;
gaIconFunc["dirback"] = prevPage;
gaIconFunc["dirnext"] = nextPage;
gaIconFunc["historyback"] = historyBack;
gaIconFunc["goweb"] = submitMore;

function initIcon() {
	switch(top.giViewStatus) {	// ƌ{^̒ǉ
	case top.VIEW_SOLUTION:
	case top.VIEW_USEFUL:
		var src = '<ul><li><img src="shared/img/ico_menu_close.gif" width="35" height="20" id="menuopenclose" title="j[" /></li>';
		src += '<li class="web">';
		src += '<img src="shared/img/btn_web_non.gif" width="113" height="20" id="goweb" title="ƌ" />';
		src += '</li></ul>';
		document.getElementById("icon-area-left").innerHTML = src;
		over();
		break;
	}
	enableIcon("bookmark", false);
	enableIcon("print", false);
	enableIcon("dirback", false);
	enableIcon("dirnext", false);
	enableIcon("guide", true);
	enableIcon("fontsmall", false);
	enableIcon("fontbig", false);
	enableIcon("historyback", false);
	img_dragDropDisable(this);
	top.clearHistory();
	top.historyIcon(top.giHistoryIndex);
	
	var emoc = document.getElementById("menuopenclose");
	emoc.onclick = function() {
		menuOpen();
	}
	emoc.onmouseover = function() {
		this.src = "shared/img/ico_menu_close_o.gif";
	}
	emoc.onmouseout = function() {
		this.src = "shared/img/ico_menu_close.gif";
	}
	goFrameset = parent.parent.document.getElementsByTagName('frameset')[0];
}

function submitMore() {
	var post = "PROD=" + getProductCategory() + "&";
	post += "MAIN2=" + top.giLocalCategory + "&";
	post += "MAIN3=" + getOSCategory() + "&";
	post += "SERIALID=" + getSerialNumber();
	top.windowOpen(top.WEBSUPPORT_URL + "?syori=More", "", top.document.body.clientWidth, top.document.body.clientHeight, top.screenTop + 2, top.screenLeft + 2, post);
}

function enableIcon(id, enable) {
	var elem = top.main.contents.main.icon.document.getElementById(id);
	
	if(elem == null || elem == undefined) return;
	
	if(enable) {
		elem.src = 'shared/img/' + gaIconImg[id] + '.gif';
		var src = elem.getAttribute('src');
		var ftype = src.substring(src.lastIndexOf('.'), src.length);
		var hsrc = src.replace(ftype, '_o'+ftype);
		elem.setAttribute('hsrc', hsrc);
		var	aPreLoad = new Image();
		var sTempSrc;
		aPreLoad.src = hsrc;
		elem.onmouseover = function() {
			sTempSrc = this.getAttribute('src');
			this.setAttribute('src', this.getAttribute('hsrc'));
		}
		elem.onmouseout = function() {
			if (!sTempSrc) sTempSrc = this.getAttribute('src').replace('_o'+ftype, ftype);
			this.setAttribute('src', sTempSrc);
		}
		elem.onclick = gaIconFunc[id];
	}
	else {
		elem.src = 'shared/img/' + gaIconImg[id] + '_non.gif';
		elem.onmouseover = null;
		elem.onmouseout = null;
		elem.onclick = null;
	}
}

var gbMenuOpen = true;
var gsCols = "";
var giCols = 0;
var giColsE = 0;
var giColsDelta = 0;
var giTim;
var gbAnim = false;

function menuOpenCloseAnimation() {
	if(!gbMenuOpen) {
		giCols -= giColsDelta;
		if(giCols < 0) {
			giCols = 0;
		}
	}
	else {
		giCols += giColsDelta;
		if(giCols > giColsE) {
			giCols = giColsE;
		}
	}
	goFrameset.setAttribute('cols', giCols.toString() + ',*');
	var emoc = document.getElementById("menuopenclose");
	if(!gbMenuOpen) {
		if(giCols <= 0) {
			clearInterval(giTim);
			emoc.src = 'shared/img/ico_menu_open.gif';
			emoc.title = 'j[J';
			emoc.onmouseover = function() {
				this.src = "shared/img/ico_menu_open_o.gif";
			}
			emoc.onmouseout = function() {
				this.src = "shared/img/ico_menu_open.gif";
			}
			gbAnim = false;
		}
	}
	else {
		if(giCols >= giColsE) {
			clearInterval(giTim);
			emoc.src = 'shared/img/ico_menu_close.gif';
			emoc.title = 'j[';
			emoc.onmouseover = function() {
				this.src = "shared/img/ico_menu_close_o.gif";
			}
			emoc.onmouseout = function() {
				this.src = "shared/img/ico_menu_close.gif";
			}
			gbAnim = false;
		}
	}
}

function menuOpen() {
	if(gbAnim) return;
	var img = document.getElementById("menuopenclose");
	if(gbMenuOpen) {
		gsCols = goFrameset.getAttribute('cols');
		giCols = parseInt(gsCols.split(',')[0]);
		giColsDelta = giCols;// / 5 + 1;
		gbMenuOpen = false;
		gbAnim = true;
		clearInterval(menuOpenCloseAnimation);
		giTim = setInterval(menuOpenCloseAnimation, 50);
	}
	else {
		giCols = 0;
		giColsE = parseInt(gsCols.split(',')[0]);
		giColsDelta = giColsE;// / 5 + 1;
		gbMenuOpen = true;
		gbAnim = true;
		clearInterval(menuOpenCloseAnimation);
		giTim = setInterval(menuOpenCloseAnimation, 50);
	}
}

function historyBack() {
	var icons = top.main.contents.main.icon;
	var his = top.backHistory();
	var url = his.url;
	var title = his.title;
	var ftype = his.ftype;
	if(url != "") {
		if(!url.match(/^http/)) {
			if(url.match(/^ms-its/)) {	// CHMt@C
				top.main.contents.main.page.location.href = "about:blank";
				top.main.contents.main.page.location.href = url;
				top.gsTitleContents = title;
				top.gsFileType = ftype;
				var hreftk = url.split(':');
				top.gsHREFContents = hreftk[1] + ':' + hreftk[2];
				top.gsTopic = hreftk[4].substr(1);
				top.gsAnchorName = "";
				startContentsElementDisable(top.main.contents.main.page);
				icons.enableIcon("print", true);
			}
			else if(url.match(/^file/)) { // localt@C
				if(ftype == "PDF") {	// PDF
					top.gsHREFContents = url;
					top.gsTitleContents = title;
					top.gsFileType = ftype;
					top.gsFile = url.split('#')[0];
					top.gsPage = url.substr(url.indexOf("#page=")).split('&')[0].substr(6);
					try {
						switch(top.gobjPDF_type) {
						case 1:
							break;
						case 2:
							top.gobjPDF.src = "dummy";	// DCΉ(2015/4/22)
							break;
						}
					} catch(e) {}
					top.main.contents.main.page.location.href = "about:blank";
					setTimeout('top.main.contents.main.page.location.href = "../view.html";', 100);
					icons.enableIcon("fontsmall", false);
					icons.enableIcon("fontbig", false);
					icons.enableIcon("print", false);
				}
				else {	// HTMLt@CƂB
					if((top.giViewStatus == top.VIEW_SOLUTION || (top.giViewStatus == top.VIEW_USEFUL && top.giViewMode > 0)) && his.index == 0 ) {

						enableIcon("bookmark", false);
						top.giContentsIndex = -1;
						dirIcons();
					}
					top.main.contents.main.page.location.href = "about:blank";	// dummy  (݂Ȃt@CI[v悤Ƃɂ́AꂪȂƎ̓삪ɂȂȂ̂ŒӁI)
					top.main.contents.main.page.location.href = url;
					top.gsHREFContents = url;
					top.gsTitleContents = title;
					top.gsFileType = ftype;
					var id = top.gobjCategory.getIdFromHref(url);
					if(id.id0.length) {
						top.selectMenuElement(id);
					}
					startContentsElementDisable(top.main.contents.main.page);
					icons.enableIcon("print", true);
				}
			}
			else {
				alert("NJ܂B");
			}
		}
	}
}

function prevPage() {
	switch(top.giViewStatus) {
	case top.VIEW_BOOKMARK:
		prevPageBookmark();
		break;
	case top.VIEW_SEARCH:
		prevPageSearch();
		break;
	case top.VIEW_VIEWER:
		switch(top.giViewMode) {
		case 0:	// 
			prevPageSearch();
			break;
		case 1:	// }jAт[
			prevPageManualViewer();
			break;
		}
		break;
	case top.VIEW_USEFUL:
		switch(top.giViewMode) {
		case 0:	// 
			prevPageSearch();
			break;
		case 1:	// ړI
			prevPageSU();
			break;
		case 2:	// JeS
			prevPageSU();
			break;
		}
		break;
	case top.VIEW_SOLUTION:
		prevPageSU();
		break;
	}
}

function nextPage() {
	switch(top.giViewStatus) {
	case top.VIEW_BOOKMARK:
		nextPageBookmark();
		break;
	case top.VIEW_SEARCH:
		nextPageSearch();
		break;
	case top.VIEW_VIEWER:
		switch(top.giViewMode) {
		case 0:	// 
			nextPageSearch();
			break;
		case 1:	// }jAт[
			nextPageManualViewer();
			break;
		}
		break;
	case top.VIEW_USEFUL:
		switch(top.giViewMode) {
		case 0:	// 
			nextPageSearch();
			break;
		case 1:	// ړI
			nextPageSU();
			break;
		case 2:	// JeS
			nextPageSU();
			break;
		}
		break;
	case top.VIEW_SOLUTION:
		nextPageSU();
		break;
	}
}

function prevPageBookmark() {
	var bm = top.gobjBookmark;
	var bmlist = bm.bookmarkList();
	top.giContentsIndexMin = 0;
	top.giContentsIndexMax = bmlist.length;
	if(top.giContentsIndex > top.giContentsIndexMin) {
		bm.viewBookmark(bmlist[--top.giContentsIndex]);
	}
}

function prevPageManualViewer() {
	var mv = top.gobjManualViewer;
	top.giContentsIndexMin = 0;
	top.giContentsIndexMax = mv.manualList().length;
	if(top.giContentsIndex > top.giContentsIndexMin) {
		mv.viewDocument(--top.giContentsIndex);
	}
}

function prevPageSearch() {
	if(top.giContentsIndex > top.giContentsIndexMin) {
		while(top.gaContentType[--top.giContentsIndex] < 0 && top.giContentsIndex >= top.giContentsIndexMin);
		if(top.giContentsIndex >= top.giContentsIndexMin) {
			viewDocument(parent.page, top.gaContentIndex[top.giContentsIndex], "search/page.html", top.gaContentType[top.giContentsIndex] == 0 ? "local" : "web");
		}
	}
}

function prevPageSU() {
	if(top.giContentsIndex > 0) {
		top.gobjCategory.viewDocument(--top.giContentsIndex);
	}
}

function nextPageBookmark() {
	var bm = top.gobjBookmark;
	var bmlist = bm.bookmarkList();
	top.giContentsIndexMin = 0;
	top.giContentsIndexMax = bmlist.length;
	if(top.giContentsIndex < top.giContentsIndexMax - 1) {
		bm.viewBookmark(bmlist[++top.giContentsIndex]);
	}
}

function nextPageManualViewer() {
	var mv = top.gobjManualViewer;
	top.giContentsIndexMin = 0;
	top.giContentsIndexMax = mv.manualList().length;
	if(top.giContentsIndex < top.giContentsIndexMax - 1) {
		mv.viewDocument(++top.giContentsIndex);
	}
}

function nextPageSearch() {
	if(top.giContentsIndex < top.giContentsIndexMax - 1) {
		while(top.gaContentType[++top.giContentsIndex] < 0 && top.giContentsIndex < top.giContentsIndexMax);
		if(top.giContentsIndex < top.giContentsIndexMax) {
			viewDocument(parent.page, top.gaContentIndex[top.giContentsIndex], "search/page.html", top.gaContentType[top.giContentsIndex] == 0 ? "local" : "web");
		}
	}
}

function nextPageSU() {
	if(top.giContentsIndex < top.giContentsIndexMax - 1) {
		top.gobjCategory.viewDocument(++top.giContentsIndex);
	}
}

function dirIcons() {
	if(top.giContentsIndex == top.giContentsIndexMin) {
		enableIcon("dirback", false);
		if(top.giContentsIndexMax != top.giContentsIndexMin + 1) enableIcon("dirnext", true);
		else enableIcon("dirnext", false);
	}
	else if(top.giContentsIndex < top.giContentsIndexMin) {
		enableIcon("dirback", false);
		enableIcon("dirnext", false);
	}
	else if(top.giContentsIndex == top.giContentsIndexMax - 1) {
		enableIcon("dirback", true);
		enableIcon("dirnext", false);
	}
	else {
		enableIcon("dirback", true);
		enableIcon("dirnext", true);
	}
}

var tagList = new Array( 'p', 'li', 'th', 'td' );
var sizeList = new Array( 80, 90, 100, 120, 140 );
var tagList2 = new Array( 'h1', 'h2', 'h3', 'h4' , 'h5', 'h6' );
var sizeList2 = new Array( 1.25, 1.10, 1.05, 1.0, 0.95, 0.90 ); 

function resizeFont(dir, flag) {
	switch(top.giTypeContents) {
	case top.PDF_CONTENT:
	case top.TEXT_CONTENT:
	case top.HTML_WEB_CONTENT:
		return;
	}
	switch(top.gsFileType) {
	case "H1S":
	case "HXS":
	case "HLP":
		return;
	}

	if(flag == null || flag == undefined) {
		flag = false;
	}
	var elemId;

	if(dir < 0) {
		if(top.gsFontSize > 0) {
			top.gsFontSize--;
			fontIcon(top.gsFontSize);
		}
	}
	else if(dir > 0) {
		if(top.gsFontSize < sizeList.length-1) {
			top.gsFontSize++;
			fontIcon(top.gsFontSize);
		}
	}
	else {
		if(flag) fontIcon(top.gsFontSize);
	}
	
	if(!(elemId = top.main.contents.main.page.document.getElementById("html"))) {
		elemId = top.main.contents.main.page.document.getElementsByTagName("body")[0];
	}

	for(var i in tagList) {
		var tag = elemId.getElementsByTagName(tagList[i]);
		for(var j = 0; j < tag.length; j++) {
			tag[j].style.fontSize = sizeList[top.gsFontSize].toString() + "%";
		}
	}

	for(var i in tagList2) {
		var tag = elemId.getElementsByTagName(tagList2[i]);
		for(var j = 0; j < tag.length; j++) {
			tag[j].style.fontSize = (sizeList[top.gsFontSize]*sizeList2[i]).toString() + "%";
		}
	}
}

function smallFont() {
	switch(top.giTypeContents) {
	case top.PDF_CONTENT:
	case top.TEXT_CONTENT:
	case top.HTML_WEB_CONTENT:
		return;
	}
	switch(top.gsFileType) {
	case "H1S":
	case "HXS":
	case "HLP":
		return;
	}
	if(top.main.contents.main.page == null || top.main.contents.main.page == undefined) return;
	top.main.contents.main.page.location.reload();
	if(top.main.contents.main != null && top.main.contents.main != undefined) {
		// ꎞIɃt[hLg\BB
		top.main.contents.main.document.getElementsByTagName('frameset')[0].setAttribute('rows', '36,0');
	}
	resizeFont(-1);
	startContentsElementDisable(top.main.contents.main.page);
}

function bigFont() {
	switch(top.giTypeContents) {
	case top.PDF_CONTENT:
	case top.TEXT_CONTENT:
	case top.HTML_WEB_CONTENT:
		return;
	}
	switch(top.gsFileType) {
	case "H1S":
	case "HXS":
	case "HLP":
		return;
	}
	if(top.main.contents.main.page == null || top.main.contents.main.page == undefined) return;
	top.main.contents.main.page.location.reload();
	if(top.main.contents.main != null && top.main.contents.main != undefined) {
		// ꎞIɃt[hLg\BB
		top.main.contents.main.document.getElementsByTagName('frameset')[0].setAttribute('rows', '36,0');
	}
	resizeFont(1);
	startContentsElementDisable(top.main.contents.main.page);
}

function fontIcons(size) {
	if(size == 0) {
		enableIcon("fontsmall", false);
	}
	if(size != sizeList.length-1) {
		enableIcon("fontbig", true);
	}
	if(size != 0) {
		enableIcon("fontsmall", true);
	}
	if(size == sizeList.length-1) {
		enableIcon("fontbig", false);
	}
}

function fontIcon(size) {
	if(top.main.contents.main.page.location.href.match(/page.html$/)) {
		enableIcon("fontsmall", false);
		enableIcon("fontbig", false);
		return;
	}
	fontIcons(size);
}

function printPage() {
	if(top.giTypeContents == top.PDF_CONTENT) return;

	top.main.contents.main.page.focus();
	top.main.contents.main.page.print();
/*
// WtHgTCYɖ߂Ĉꍇ
	top.gsFontSize = top.DEFAULT_FONTSIZE;
	icons.enableIcon("fontsmall", true);
	icons.enableIcon("fontbig", true);
*/
	resizeFont(0);
}

function bookmarkPage() {
	if(top.gsHREFContents == "") return;
	var args = new Array();
	args[0] = top.gsTitleContents;
	args[1] = top.BOOKMARK_XML;
	args[2] = top.BOOKMARK_XSLT;
	args[3] = top.gobjBookmark;
	args[4] = top;
	top.gobjWS.CurrentDirectory = top.gsCurDir;	// JgfBNglɖ߂B
	var val = showModalDialog("bookmark/bookmark_set.html", args, "dialogWidth:710px;dialogHeight:230px;help:no;resizable:no;center:yes;status:no;scroll:no;");
	if(val[1].length) {
		var bm = top.gobjBookmark;
		if(!bm.add(val[0], val[1], top.gsHREFContents, top.gsFileType, top.gsTopic, top.gsAnchorName, top.gsMap, top.gsKeyword, top.gsFAQID, false)) {
			if(confirm("ubN}[NdĂ܂B\r\nu܂H")) {
				bm.add(val[0], val[1], top.gsHREFContents, top.gsFileType, top.gsTopic, top.gsAnchorName, top.gsMap, top.gsKeyword, top.gsFAQID, true);
			}
		}
		if(top.giViewStatus == top.VIEW_BOOKMARK) {
			bm.view(top.main.contents.localmenu.document.getElementById("bookmark-box"));
			a_dragDropDisable(top.main.contents.localmenu.document.getElementById("bookmark-box"));
		}
	}
}

var guideWin = null;
function guidePage() {
	if(guideWin == null || guideWin.closed) {
		top.gobjWS.CurrentDirectory = top.gsCurDir;	// JgfBNglɖ߂B
		guideWin = showModelessDialog("Yogo/01.html", [top], "resizable:no;help:no;dialogWidth:418px;dialogHeight:450px;center:yes;");
		//top.gobjPCUU.setIcon("pW", "Internet Explorer_TridentDlgFrame", top.ICON);
	}
	return false;
}
