/******************************************************************************
 file : footer.js
 description : tb^[ SUBMIT
 date : 2009/02
          2010/03   obNAbv[h̒ǉ
          2012/08   Windows 8 ̒ǉ
          2013/09   Windows 8.1 ̒ǉ
          2014/10   Windows 8.1 32bit̒ǉ
 
 Copyright (C) Epson Direct Corporation 2008-2013
******************************************************************************/

function getProductCategory() {
	return getProductKey();
}

function getProductCategory2(gobj) {
	return getProductKey_sub(gobj);
}

function getProductKey_sub(gobj) {
	gobj.gobjWS.CurrentDirectory = gobj.gsCurDir;	// JgfBNglɖ߂B
	var fs = new ActiveXObject("Scripting.FileSystemObject");
	var fn = "index.ini";
	if(!fs.FileExists(fn)) { // t@C݂Ȃ
		return "";
	}
	var f = fs.OpenTextFile(fn, 1, true, 0);
	var bSection = false;
	var sSection = '[product]';
	var value = "";
	while(!f.AtEndOfStream) {
		var line = f.ReadLine();
		if(line.indexOf(';') == 0 || line.length == 0) continue;	// RgAs͓ǂݔ΂
		if(!bSection && line.toLowerCase() == sSection) {
			bSection = true;
			continue;
		}
		if(bSection && line[0] == '[') break;	// sectionoΏI
		if(!bSection) continue;	// sectionɓĂȂ΃XLbv
		var l = line.split('=');
		if("prod" == l[0].replace(/^\s+|\s+$/g, '').toLowerCase()) {
			value = l[1].replace(/^\s+|\s+$/g, '');
			break;
		}
	}
	f.Close();
	fs = null;
	return value;
}

function getProductKey() {
	return getProductKey_sub(top);
}

function getOSCategory() {
	var oscat = [
		"002001008001",		// Windows Vista Home Basic
		"002001008003",		// Windows Vista Home Premium
		"002001008002",		// Windows Vista Business
		"002001008004",		// Windows Vista Ultimate
		"002001008005",		// Windows Vista Business 64bit
		"002001008006",		// Windows Vista Ultimate 64bit
		"002001013001",		// Windows 7 Starter
		"002001013002",		// Windows 7 Home Premium
		"002001013003",		// Windows 7 Professional
		"002001013004",		// Windows 7 Ultimate
		"002001013005",		// Windows 7 Home Premium x64
		"002001013006",		// Windows 7 Professional x64
		"002001013007",		// Windows 7 Ultimate x64
		"002001101003",		// Windows 8 32bit	(j[͍폜ł邪AcĂ)
		"002001101004",		// Windows 8 Pro 32bit	(j[͍폜ł邪AcĂ)
		"002001101001",		// Windows 8 64bit
		"002001101002",		// Windows 8 Pro 64bit
		"002001102001",		// Windows 8.1 64bit
		"002001102002",		// Windows 8.1 Pro 64bit
		"002001102003",		// Windows 8.1 32bit
	];
	
	var os = readReg("typeOS");
	if(os == null) {
		os = getOS()[0];
	}
	if(os >= oscat.length) return "";
	return oscat[os];

}

function submitExec(title, syori) {
	var post = "PROD=" + getProductCategory() + "&";
	post += "MAIN3=" + getOSCategory() + "&";
	post += "SERIALID=" + getSerialNumber();
	top.windowOpen(top.WEBSUPPORT_URL + "?syori="+syori, title, top.main.document.body.clientWidth, top.main.document.body.clientHeight, top.screenTop + 2, top.screenLeft + 2, post);
	return false;
}

function submitExec2(gobj, title, syori) {
	var post = "PROD=" + getProductCategory2(gobj) + "&";
	post += "MAIN3=" + getOSCategory() + "&";
	post += "SERIALID=" + getSerialNumber();
	gobj.windowOpen(gobj.WEBSUPPORT_URL + "?syori="+syori, title, gobj.main.document.body.clientWidth, gobj.main.document.body.clientHeight, gobj.screenTop + 2, gobj.screenLeft + 2, post);
	return false;
}

function submitDownload() {
	return submitExec(top.PRODUCT_NAME/* + "`_E[h`"*/, "Download");
}

function submitSupport() {
	return submitExec(top.PRODUCT_NAME/* + "`[U[T|[g`"*/, "Support");
}

function submitWebcas() {
	return submitExec(top.PRODUCT_NAME/* + "`AP[g`"*/, "Webcas");
}

function submitManual() {
	return submitExec(top.PRODUCT_NAME, "Manual");
}

function submitExecProductConfig(gobj) {
	return submitExec2(gobj, gobj.PRODUCT_NAME, "Config");
}

function submitExecProductService(gobj) {
	return submitExec2(gobj, gobj.PRODUCT_NAME, "Service");
}

function restoreHelp() {
	top.windowOpen(top.RESTORE_HELP_URL, top.PRODUCT_NAME, top.main.document.body.clientWidth, top.main.document.body.clientHeight, top.screenTop + 2, top.screenLeft + 2);
	return false;
}

function setFocusQ() {
	var elem;
	
	switch(top.giViewStatus) {
	case top.VIEW_TOP:
		elem = top.main.document.getElementById("question");
		break;
	case top.VIEW_SEARCH:
		elem = top.main.contents.localmenu.document.getElementById("question");
		break;
	case top.VIEW_USEFUL:
		elem = top.main.headerarea.document.getElementById("question");
		break;
	case top.VIEW_VIEWER:
		elem = top.main.headerarea.document.getElementById("question");
		break;
	case top.VIEW_BOOKMARK:
		break;
	case top.VIEW_SOLUTION:
		break;
	}
	
	if(elem == null || elem == undefined) return;
	elem.focus();	// p͗փtH[JXăZbgȂƁAimeɐ؂ւȂB
}

function existContents() {
	var fsobj = new ActiveXObject("Scripting.FileSystemObject");
	var initPath = fsobj.GetAbsolutePathName(top.getKey(".", "init_path", "contents"));
	var manualPath = fsobj.GetAbsolutePathName(top.getKey(".", "manual_path", "contents"));
	var solutionPath = fsobj.GetAbsolutePathName(top.getKey(".", "solution_path", "contents"));
	var usefulPath = fsobj.GetAbsolutePathName(top.getKey(".", "useful_path", "contents"));
	var bExistManual = true;
	var bExistSolution = true;
	var bExistUseful = true;
	if(!fsobj.FolderExists(manualPath)) bExistManual = false;
	if(!fsobj.FolderExists(solutionPath)) bExistSolution = false;
	if(!fsobj.FolderExists(usefulPath)) bExistUseful = false;
	return {
		existManual: bExistManual,
		existSolution: bExistSolution,
		existUseful: bExistUseful,
		initPath: initPath,
		manualPath: manualPath,
		solutionPath: solutionPath,
		usefulPath: usefulPath
	};
}

function changeBRIcon() {
	if(top.BACKUP_MODE == 3) {
		document.getElementById("backupdiv").style.setAttribute("display", "none");
		return;
	}
	var contents = existContents();
	if(contents.existManual && contents.existSolution && contents.existUseful) {
		document.getElementById("backuprestore").setAttribute("src", "shared/img/btn_backup.gif");
	}
	else {
		document.getElementById("backuprestore").setAttribute("src", "shared/img/btn_restore.gif");
	}
}

function isExistAllContents() {
	var contents = existContents();
	return (contents.existManual && contents.existSolution && contents.existUseful);
}

var itimChk;
function chk_contents() {
	if(top.gobjPCUU.restoreComplete()) {
		clearInterval(itimChk);
		changeBRIcon();
		over();
		top.initCO();
		if(top.gobjPCUU.getErrorCode() == 1) { // 
			if(top.createDataBase(top) == -1001) {
				top.MessageBox("̍\zs܂łB\r\nɍsȂ\܂B\r\nݒ茟̍č\zsĂB", 48);
			}
		}
	}
}

function backup_restore() {
	top.gobjWS.CurrentDirectory = top.gsCurDir;	// JgfBNglɖ߂B
	var contents = existContents();
	if((top.BACKUP_MODE == 2 && contents.existManual) || (contents.existManual && contents.existSolution && contents.existUseful)) { // SẴRec݂ȂAobNAbv[h
		if(top.MessageBox("Rec̃obNAbvJn܂H\n\nOt̋LuobNAbvɎw肷ꍇ́A炩ߐڑȂĂ[OK]{^NbNĂB", 32+1) == 1) {
			if(top.BACKUP_MODE == 2) {
				top.gobjPCUU.backupContents("", contents.manualPath, "", "");
			}
			else {
				top.gobjPCUU.backupContents(contents.initPath, contents.manualPath, contents.solutionPath, contents.usefulPath);
			}
		}
	}
	else {	// Rec݂ȂȂA[h
		if(top.gobjPCUU.isAdminAcount()) {
			if(top.MessageBox("obNAbvRec̕Jn܂H\n\nOt̋Lu𕜌ƂɎw肷ꍇ́A炩ߐڑȂĂ[OK]{^NbNĂB", 32+1) == 1) {
				clearInterval(itimChk);
				itimChk = setInterval(chk_contents, 500);
				if(top.BACKUP_MODE == 2) {
					top.gobjPCUU.restoreContents("", contents.manualPath, "", "");
				}
				else {
					top.gobjPCUU.restoreContents(contents.initPath, contents.manualPath, contents.solutionPath, contents.usefulPath);
				}
			}
		}
		else {
			top.MessageBox("Ǘ҃AJEg[U[ŃOCĂB\nW[U[ł̓obNAbv𕜌ł܂B", 32);
		}
	}
	return false;
}
