/******************************************************************************
 file : environment.js
 description : PC擾֐
 date : 2009/01
 			2011/09/02			getBIOSVersion() ǉ
			2011/09/02 v1.1.0	ݒBIOSo[W\ǉ
			2012/08    v2.0.0 BIOSo[W\폜EVʒmݒ֘Aǉ
			2013/09    Windows 8.1Ή
			2014/10    Windows 8.1 32bitΉ
 Copyright (C) Epson Direct Corporation 2008-2013
******************************************************************************/

var ADMIN_MODE = 0;
var USER_MODE = 1;
var giDBMode = USER_MODE;

var gobjBuilder = new ActiveXObject("JS.CSEBuilder4.1");
var gobjCtrlFileMan = new ActiveXObject("JS.CSECtrlFileManager2.1");
var gbEnableProductKeyBuilder = false;
var gbEnableProductKeyCtrlFileMan = false;

var gobj;

function initEnvironment() {
	over();
	a_dragDropDisable(this);
	gobj = window.dialogArguments[0];
	document.title = gobj.PRODUCT_NAME;
	document.getElementById("version").innerText = gobj.VERSION;
	document.getElementById("productName").innerText = getProductName();
	document.getElementById("serialNumber").innerText = getSerialNumber();
//	document.getElementById("biosVersion").innerText = getBIOSVersion();
	var os = readReg("typeOS");
	if(os == null) {
		document.form1.select.value = getOS()[0];
	}
	else {
		document.form1.select.value = os;
	}
	var online = readReg("online");
	if(online != null) {
		if(online == "true") {
			document.form2.radiobutton[0].checked = true;
		}
		else {
			document.form2.radiobutton[1].checked = true;
		}
	}
	else {
		online = true;
		writeReg("online", "true");
		document.form2.radiobutton[0].checked = true;
	}
	
	var newrss = readReg("newrss");
	if(newrss != null) {
		if(newrss == "true") {
			document.form5.radiobutton_rss[0].checked = true;
		}
		else {
			document.form5.radiobutton_rss[1].checked = true;
		}
	}
	else {
		newrss = true;
		writeReg("newrss", "true");
		document.form5.radiobutton_rss[0].checked = true;
	}
	
	document.form4.onclick = function() {
		if(window.event.srcElement.tagName != "INPUT") return false;
		if(window.event.srcElement.getAttribute("id") == "buttonOk") {
			writeReg("typeOS", document.form1.select.value);
			if(document.form2.radiobutton[0].checked) { // IC
				writeReg("online", "true");
			}
			else if(document.form2.radiobutton[1].checked) { // ItC
				writeReg("online", "false");
			}
			if(document.form5.radiobutton_rss[0].checked) { // Vݒʒm`FbN
				writeReg("newrss", "true");
			}
			else if(document.form5.radiobutton_rss[1].checked) { // `FbNȂ
				writeReg("newrss", "false");
			}
		}
		self.window.close();
		return false;
	}
	document.getElementById("btn-dc").onclick = function() {
		createDataBase(gobj);
		return false;
	}
	document.getElementById("btn-dc-left").onclick = function() {
		createDataBase(gobj);
		return false;
	}
	document.getElementById("btn-dc-right").onclick = function() {
		createDataBase(gobj);
		return false;
	}
	document.getElementById("btn-dc").onmouseover = function() {
		document.getElementById("btn-dc-left").style.backgroundImage = 'url(img_setup/btn_rebuild_left_o.gif)';
		document.getElementById("btn-dc-right").style.backgroundImage = 'url(img_setup/btn_rebuild_right_o.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_center_o.gif)';
		return false;
	}
	document.getElementById("btn-dc").onmouseout = function() {
		document.getElementById("btn-dc-left").style.backgroundImage = 'url(img_setup/btn_rebuild_left.gif)';
		document.getElementById("btn-dc-right").style.backgroundImage = 'url(img_setup/btn_rebuild_right.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_center.gif)';
		return false;
	}
	document.getElementById("btn-dc-left").onmouseover = function() {
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_left_o.gif)';
		document.getElementById("btn-dc-right").style.backgroundImage = 'url(img_setup/btn_rebuild_right_o.gif)';
		document.getElementById("btn-dc").style.backgroundImage = 'url(img_setup/btn_rebuild_center_o.gif)';
		return false;
	}
	document.getElementById("btn-dc-left").onmouseout = function() {
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_left.gif)';
		document.getElementById("btn-dc-right").style.backgroundImage = 'url(img_setup/btn_rebuild_right.gif)';
		document.getElementById("btn-dc").style.backgroundImage = 'url(img_setup/btn_rebuild_center.gif)';
		return false;
	}
	document.getElementById("btn-dc-right").onmouseover = function() {
		document.getElementById("btn-dc-left").style.backgroundImage = 'url(img_setup/btn_rebuild_left_o.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_right_o.gif)';
		document.getElementById("btn-dc").style.backgroundImage = 'url(img_setup/btn_rebuild_center_o.gif)';
		return false;
	}
	document.getElementById("btn-dc-right").onmouseout = function() {
		document.getElementById("btn-dc-left").style.backgroundImage = 'url(img_setup/btn_rebuild_left.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_right.gif)';
		document.getElementById("btn-dc").style.backgroundImage = 'url(img_setup/btn_rebuild_center.gif)';
		return false;
	}
	
	document.getElementById("btn-dc").innerText = gobj.DB_BUTTON_TEXT;
	document.getElementById("online_info").innerHTML = gobj.ONLINE_TEXT;
	document.getElementById("newrss_info").innerHTML = gobj.NEWRSS_TEXT;
	
	gobj.gobjPCUU.setIcon(gobj.PRODUCT_NAME, "Internet Explorer_TridentDlgFrame", gobj.ICON);
}

function initProduct() {
	over();
	a_dragDropDisable(this);
	gobj = window.dialogArguments[0];
	document.title = gobj.PRODUCT_NAME;
	document.getElementById("productName").innerText = getProductName();
	document.getElementById("serialNumber").innerText = getSerialNumber();
	document.getElementById("biosVersion").innerText = getBIOSVersion();
//	document.buttonOk.onclick = function() {
//		self.window.close();
//		return false;
//	}
	document.getElementById("prod_text").innerHTML = gobj.PROD_CONFIRM_TEXT;
	gobj.gobjPCUU.setIcon(gobj.PRODUCT_NAME, "Internet Explorer_TridentDlgFrame", gobj.ICON);

	document.getElementById("btn-dc1").onclick = function() {
		submitExecProductConfig(gobj);
		return false;
	}
	document.getElementById("btn-dc-left1").onclick = function() {
		submitExecProductConfig(gobj);
		return false;
	}
	document.getElementById("btn-dc-right1").onclick = function() {
		submitExecProductConfig(gobj);
		return false;
	}
	document.getElementById("btn-dc1").onmouseover = function() {
		document.getElementById("btn-dc-left1").style.backgroundImage = 'url(img_setup/btn_rebuild_left_o.gif)';
		document.getElementById("btn-dc-right1").style.backgroundImage = 'url(img_setup/btn_rebuild_right_o.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_center_o.gif)';
		return false;
	}
	document.getElementById("btn-dc1").onmouseout = function() {
		document.getElementById("btn-dc-left1").style.backgroundImage = 'url(img_setup/btn_rebuild_left.gif)';
		document.getElementById("btn-dc-right1").style.backgroundImage = 'url(img_setup/btn_rebuild_right.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_center.gif)';
		return false;
	}
	document.getElementById("btn-dc-left1").onmouseover = function() {
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_left_o.gif)';
		document.getElementById("btn-dc-right1").style.backgroundImage = 'url(img_setup/btn_rebuild_right_o.gif)';
		document.getElementById("btn-dc1").style.backgroundImage = 'url(img_setup/btn_rebuild_center_o.gif)';
		return false;
	}
	document.getElementById("btn-dc-left1").onmouseout = function() {
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_left.gif)';
		document.getElementById("btn-dc-right1").style.backgroundImage = 'url(img_setup/btn_rebuild_right.gif)';
		document.getElementById("btn-dc1").style.backgroundImage = 'url(img_setup/btn_rebuild_center.gif)';
		return false;
	}
	document.getElementById("btn-dc-right1").onmouseover = function() {
		document.getElementById("btn-dc-left1").style.backgroundImage = 'url(img_setup/btn_rebuild_left_o.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_right_o.gif)';
		document.getElementById("btn-dc1").style.backgroundImage = 'url(img_setup/btn_rebuild_center_o.gif)';
		return false;
	}
	document.getElementById("btn-dc-right1").onmouseout = function() {
		document.getElementById("btn-dc-left1").style.backgroundImage = 'url(img_setup/btn_rebuild_left.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_right.gif)';
		document.getElementById("btn-dc1").style.backgroundImage = 'url(img_setup/btn_rebuild_center.gif)';
		return false;
	}

	document.getElementById("btn-dc2").onclick = function() {
		submitExecProductService(gobj);
		return false;
	}
	document.getElementById("btn-dc-left2").onclick = function() {
		submitExecProductService(gobj);
		return false;
	}
	document.getElementById("btn-dc-right2").onclick = function() {
		submitExecProductService(gobj);
		return false;
	}
	document.getElementById("btn-dc2").onmouseover = function() {
		document.getElementById("btn-dc-left2").style.backgroundImage = 'url(img_setup/btn_rebuild_left_o.gif)';
		document.getElementById("btn-dc-right2").style.backgroundImage = 'url(img_setup/btn_rebuild_right_o.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_center_o.gif)';
		return false;
	}
	document.getElementById("btn-dc2").onmouseout = function() {
		document.getElementById("btn-dc-left2").style.backgroundImage = 'url(img_setup/btn_rebuild_left.gif)';
		document.getElementById("btn-dc-right2").style.backgroundImage = 'url(img_setup/btn_rebuild_right.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_center.gif)';
		return false;
	}
	document.getElementById("btn-dc-left2").onmouseover = function() {
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_left_o.gif)';
		document.getElementById("btn-dc-right2").style.backgroundImage = 'url(img_setup/btn_rebuild_right_o.gif)';
		document.getElementById("btn-dc2").style.backgroundImage = 'url(img_setup/btn_rebuild_center_o.gif)';
		return false;
	}
	document.getElementById("btn-dc-left2").onmouseout = function() {
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_left.gif)';
		document.getElementById("btn-dc-right2").style.backgroundImage = 'url(img_setup/btn_rebuild_right.gif)';
		document.getElementById("btn-dc2").style.backgroundImage = 'url(img_setup/btn_rebuild_center.gif)';
		return false;
	}
	document.getElementById("btn-dc-right2").onmouseover = function() {
		document.getElementById("btn-dc-left2").style.backgroundImage = 'url(img_setup/btn_rebuild_left_o.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_right_o.gif)';
		document.getElementById("btn-dc2").style.backgroundImage = 'url(img_setup/btn_rebuild_center_o.gif)';
		return false;
	}
	document.getElementById("btn-dc-right2").onmouseout = function() {
		document.getElementById("btn-dc-left2").style.backgroundImage = 'url(img_setup/btn_rebuild_left.gif)';
		this.style.backgroundImage = 'url(img_setup/btn_rebuild_right.gif)';
		document.getElementById("btn-dc2").style.backgroundImage = 'url(img_setup/btn_rebuild_center.gif)';
		return false;
	}

	document.getElementById("buttonOkA").focus();
}

function createDataBase(obj) {
	if(!gbEnableProductKeyBuilder) {
		gbEnableProductKeyBuilder = gobjBuilder.SetProductKey2("for Epson\\1.0", giDBMode);
		if(!gbEnableProductKeyBuilder) {
			obj.MessageBox("v_NgL[ݒ肪łB", 16);
			return 0;
		}
	}
	var err;
	if(giDBMode == USER_MODE) {
		err = gobjBuilder.CreateUserData(true);
		if(err != 0 && err != 1) {
			obj.MessageBox(gobjBuilder.ErrorString, 16);
			return 0;
		}
	}
	if(!gbEnableProductKeyCtrlFileMan) {
		gbEnableProductKeyCtrlFileMan = gobjCtrlFileMan.SetProductKey2("for Epson\\1.0", giDBMode);
		if(!gbEnableProductKeyCtrlFileMan) {
			obj.MessageBox("v_NgL[ݒ肪łB", 16);
			return 0;
		}
	}
	err = gobjCtrlFileMan.BaseInfoToControl();
	if(err != 0) {
		obj.MessageBox(gobjBuilder.ErrorString, 16);
		return 0;
	}
	obj.gobjPCUU.setCenter(obj.PRODUCT_NAME, "#32770");
	err = gobjBuilder.CreateDataBases();
	if(err != -1001) {
		obj.initCS();
		obj.main.location.href = "top_main.html";
	}
	if(err != 1) {
		if(err != -1001) obj.MessageBox(gobjBuilder.ErrorString, 16);
		return err;
	}
	obj.MessageBox("̍č\z܂B", 64);
	return 1;
}

function createDataBaseFirst() {
	var bFirst = readReg("firstExec");
	if(bFirst == null) {
		bFirst = "true";
	}
	if(bFirst == "true") {
		if(!gbEnableProductKeyBuilder) {
			gbEnableProductKeyBuilder = gobjBuilder.SetProductKey2("for Epson\\1.0", giDBMode);
			if(!gbEnableProductKeyBuilder) {
				MessageBox("v_NgL[ݒ肪łB", 16);
				return;
			}
		}
		var err;
		if(giDBMode == USER_MODE) {
			err = gobjBuilder.CreateUserData(true);
			if(err != 0 && err != 1) {
				MessageBox(gobjBuilder.ErrorString, 16);
				return;
			}
		}
		if(!gbEnableProductKeyCtrlFileMan) {
			gbEnableProductKeyCtrlFileMan = gobjCtrlFileMan.SetProductKey2("for Epson\\1.0", giDBMode);
			if(!gbEnableProductKeyCtrlFileMan) {
				MessageBox("v_NgL[ݒ肪łB", 16);
				return;
			}
		}
		err = gobjCtrlFileMan.BaseInfoToControl();
		if(err != 0) {
			MessageBox(gobjBuilder.ErrorString, 16);
			return;
		}
		gobjPCUU.setCenter(PRODUCT_NAME, "#32770");
		err = gobjBuilder.CreateDataBases();
		if(err != 1) {
			if(err != -1001) MessageBox(gobjBuilder.ErrorString, 16);
			else MessageBox("̍\zs܂łB\r\nɍsȂ\܂B\r\nݒ茟̍č\zsĂB", 48);

		}
		else {
			MessageBox("̍\z܂B", 64);
		}
		writeReg("firstExec", "false");
	}
}

// VAԍ擾
function getSerialNumber() {
	var objLoc = new ActiveXObject("WbemScripting.SWbemLocator");
	var objServiceWMI = objLoc.ConnectServer(null, "root\\cimv2");
	var prop = objServiceWMI.ExecQuery("SELECT * FROM Win32_Bios");
	var e = new Enumerator(prop);

	return e.item().SerialNumber;

}

// v_Ng擾
function getProductName() {
	var objLoc = new ActiveXObject("WbemScripting.SWbemLocator");
	var objServiceWMI = objLoc.ConnectServer(null, "root\\cimv2");
	var prop = objServiceWMI.ExecQuery("SELECT * FROM Win32_Baseboard");
	var e = new Enumerator(prop);

	return e.item().Product;
}

// BIOSo[W擾
function getBIOSVersion() {
	var objLoc = new ActiveXObject("WbemScripting.SWbemLocator");
	var objServiceWMI = objLoc.ConnectServer(null, "root\\cimv2");
	var prop = objServiceWMI.ExecQuery("SELECT * FROM Win32_Bios");
	var e = new Enumerator(prop);

	return e.item().SMBIOSBIOSVersion;
}

// Windows OS̎擾
function getOS() {
	var objLoc = new ActiveXObject("WbemScripting.SWbemLocator");
	var objServiceWMI = objLoc.ConnectServer(null, "root\\cimv2");
	var prop = objServiceWMI.ExecQuery("SELECT * FROM Win32_OperatingSystem");
	var e = new Enumerator(prop);
	var os = "noos";
	var osIndex = 99;
	var aOS = new Array();

	if(e.item().Caption.indexOf("Vista") != -1) {	// Vistȁꍇ
		os = "Windows Vista ";
		if(e.item().OSArchitecture.indexOf("32") != -1) { // 32bit̏ꍇ
			switch(e.item().OperatingSystemSKU) {
			default:
				os += "undefined";
				break;
			case 1:
				os += "Ultimate";
				osIndex = 3;
				break;
			case 2:
				os += "Home Basic";
				osIndex = 0;
				break;
			case 3:
				os += "Home Premium";
				osIndex = 1;
				break;
			case 6:
				os += "Business";
				osIndex = 2;
				break;
			}
		}
		else {
			switch(e.item().OperatingSystemSKU) {
			default:
				os += "undefined";
				break;
			case 1:
				os += "Ultimate";
				osIndex = 5;
				break;
			case 6:
				os += "Business";
				osIndex = 4;
				break;
			}
			os += " 64-bit";
		}
	}
	if(e.item().Caption.indexOf("Windows 7") != -1) {	// Windows 7̏ꍇ
		os = "Windows 7 ";
		if(e.item().OSArchitecture.indexOf("32") != -1) { // 32bit̏ꍇ
			switch(e.item().OperatingSystemSKU) {
			default:
				os += "undefined";
				break;
			case 1:
				os += "Ultimate";
				osIndex = 9;
				break;
			case 11:
				os += "Starter";
				osIndex = 6;
				break;
			case 3:
				os += "Home Premium";
				osIndex = 7;
				break;
			case 48:
				os += "Professional";
				osIndex = 8;
				break;
			}
		}
		else {
			switch(e.item().OperatingSystemSKU) {
			default:
				os += "undefined";
				break;
			case 1:
				os += "Ultimate";
				osIndex = 12;
				break;
			case 3:
				os += "Home Premium";
				osIndex = 10;
				break;
			case 48:
				os += "Professional";
				osIndex = 11;
				break;
			}
			os += " 64-bit";
		}
	}
/*
	if(e.item().Caption.indexOf("Windows 8") != -1) {	// Windows 8̏ꍇ
		os = "Windows 8 ";
		if(e.item().OSArchitecture.indexOf("32") != -1) { // 32bit̏ꍇ
			switch(e.item().OperatingSystemSKU) {
			default:
				os += "undefined";
				break;
			case 101:
				os += "32-bit";
				osIndex = 13;
				break;
			case 48:
				os += "Pro 32-bit";
				osIndex = 14;
				break;
			}
		}
		else {
			switch(e.item().OperatingSystemSKU) {
			default:
				os += "undefined";
				break;
			case 101:
				os += "64-bit";
				osIndex = 15;
				break;
			case 48:
				os += "Pro 64-bit";
				osIndex = 16;
				break;
			}
		}
	}
*/
	if(e.item().Caption.indexOf("Windows 8.1") != -1) {	// Windows 8.1̏ꍇ
		os = "Windows 8.1 ";
		if(e.item().OSArchitecture.indexOf("32") != -1) { // 32bit̏ꍇ
			switch(e.item().OperatingSystemSKU) {
			default:
				os += "undefined";
				break;
			case 101:
				os += "32-bit";
				osIndex = 19;
				break;
			case 48:
				os += "Pro 32-bit";
				osIndex = 20;
				break;
			}
		}
		else {
			switch(e.item().OperatingSystemSKU) {
			default:
				os += "undefined";
				break;
			case 101:
				os += "64-bit";
				osIndex = 17;
				break;
			case 48:
				os += "Pro 64-bit";
				osIndex = 18;
				break;
			}
		}
	}
	else if(e.item().Caption.indexOf("Windows 8") != -1) { // Windows 8̏ꍇ
		if(e.item().OSArchitecture.indexOf("64") != -1) { // 64bit̏ꍇ
			os = "Windows 8 ";
			switch(e.item().OperatingSystemSKU) {
			default:
				os += "undefined";
				break;
			case 101:
				os += "64-bit";
				osIndex = 15;
				break;
			case 48:
				os += "Pro 64-bit";
				osIndex = 16;
				break;
			}
		}
	}

	aOS[0] = osIndex;
	aOS[1] = os;
	return aOS;
}
