/******************************************************************************
 file : manualviewer.js
 description : ManualViewerIuWFNg
 @@@@@@@ManualViewerpt@CCfbNX쐬
 date : 2009/02
	2010/03  getKey̏C
	2010/06 Adobe Reader ver9ȏ̎̃t[\̕ύX
 	2011/03/11  t@CpX̎w𑊑΃pX΃pX֕ύX
 	2015/4/22 Adobe Acrobat Reader DCΉ

 Copyright (C) Epson Direct Corporation 2008-2015
******************************************************************************/

var fso = null;
var gaIndex = new Array();
var gaIndexView = new Array();
var gaId = new Array();
var mid = 0;
var gsLink = "";
var gxtopwin = 1024;
var gytopwin = 768;
var gxwin = 1000;
var gywin = 700;
var gsWebSupport = "";
var gwinx = screen.width > 1000 ? 1000 : screen.width;
var gwiny = screen.height > 700 ? 700 : screen.height ;
var gwinpx = -1;
var gwinpy = -1;

function ManualViewer() {
	initManualViewer();
}

function initManualViewer() {
	fso = new ActiveXObject("Scripting.FileSystemObject");
	var fn = "index.ini";
	var path = "";
	if(!fso.FileExists(fn)) { // t@C݂Ȃ
		path = ".";
	}
	else {
		path = getKey(".", "manual_path", "contents");
		path = fso.GetAbsolutePathName(path);
		var w = getKey(".", "width", "window");
		if(w.length != 0) gwinx = parseInt(w);
		if(gwinx > screen.width) gwinx = screen.width;
		w = getKey(".", "height", "window");
		if(w.length != 0) gwiny = parseInt(w);
		if(gwiny > screen.height) gwiny = screen.height - 100;
		// gwiny 512ƁAchm\EBhEgɎ܂ȂȂB
		if(gwiny < 512) gwiny = 512; // 
		w = getKey(".", "pos_x", "window");
		if(w.length != 0) gwinpx = parseInt(w);
		w = getKey(".", "pos_y", "window");
		if(w.length != 0) gwinpy = parseInt(w);
	}
	pickupIndex(path, 0);
	sortIndex();
	makeViewIndex();
	fso = null
}

function pickupIndex(path, pid) {
	var myid = mid;
	var folder;
	try {
		folder = fso.GetFolder(path);
	}
	catch(e) {
		return;
	}
	var files = new Enumerator(folder.files);
	for(; !files.atEnd(); files.moveNext()) {
		if(files.item().Path.toLowerCase().match(/index.ini$/i)) {
			var ai = loadIndex(path, pid, mid++);
			if(ai.index >= 0) {
				gaIndex.push(ai);
			}
			break;
		}
	}
	files = null;
	var folders = new Enumerator(folder.SubFolders);
	for(; !folders.atEnd(); folders.moveNext()) {
		pickupIndex(folders.item().Path, myid == mid ? pid : myid);
	}
	folders = null;
}

function sortIndex() {
	for(var i = 1; i < gaIndex.length - 1; i++) {
		for(var j = i + 1; j < gaIndex.length; j++) {
			if(gaIndex[i].pid == gaIndex[j].pid) {	// ev
				if(gaIndex[i].index > gaIndex[j].index) { // index̂ʂֈړ
					swapIndex(i, j);
				}
			}
		}
	}
}

function swapIndex(i0, i1) {
	if(i0 == i1) return;
	if(i0 >= gaIndex.length || i1 >= gaIndex.length) return;
	var obj = gaIndex[i0];
	gaIndex[i0] = gaIndex[i1];
	gaIndex[i1] = obj;
}

function getKey(path, key, section) {
	var fs = new ActiveXObject("Scripting.FileSystemObject");
	var fn = path + "\\index.ini";
	if(!fs.FileExists(fn)) { // t@C݂Ȃ
		return "";
	}
	var f = fs.OpenTextFile(fn, 1, true, 0);
	var bSection = false;
	var sSection = '[' + section.toLowerCase() + ']';
	var value = "";
	while(!f.AtEndOfStream) {
		var line = f.ReadLine();
		if(line.indexOf(';') == 0 || line.length == 0) continue;	// RgAs͓ǂݔ΂
		if(!bSection && line.toLowerCase() == sSection) {
			bSection = true;
			continue;
		}
		if(bSection && line[0] == '[') break;	// sectionoΏI
		if(!bSection) continue;	// sectionɓĂȂ΃XLbv
		var l = line.split('=');
		if(key.toLowerCase() == l[0].replace(/^\s+|\s+$/g, '').toLowerCase()) {
			value = l[1].replace(/^\s+|\s+$/g, '');
			if(l.length > 2) {
				var i = 2;
				while(i < l.length) {
					value += "=" + l[i++];
				}
			} 
			break;
		}
	}
	f.Close();
	fs = null;
	return value;
}

function loadIndex(path, pid, oid) {
	var index = -1;
	var name = "";
	var link = "";
	var frame = 1;
	
	var work;
	
	work = getKey(path, "index", "html");
	if(work.length) index = parseInt(work, 10);
	work = getKey(path, "name", "html");
	if(work.length) name = work;
	work = getKey(path, "link", "html");
	if(work.length) {
		if(work.toLowerCase().indexOf('http') == 0) {	// ON
			link = work;
		}
		else if(!fso.FileExists(work)) {
			work = work.replace(/"+/g, '');	// _uNH[e[V΍폜
			link = path + "\\" + work.replace(/^\\+/g, '');;
		}
		else {
			link = work;
		}
	}
	work = getKey(path, "frame", "html");
	if(work.length) {
		if(work.toLowerCase() == 'yes') {
			frame = 1;
		}
		else {
			frame = 0;
		}
	}
	work = getKey(path, "link", "infoview");
	if(work.length) {
		if(!fso.FileExists(work)) {
			gsLink = path + "\\" + work.replace(/^\\+/g, '');
		}
		else {
			gsLink = path + "\\" + work;
		}
	}
	work = getKey(path, "link_winx", "infoview");
	if(work.length) gxwin = parseInt(work, 10);
	work = getKey(path, "link_winy", "infoview");
	if(work.length) gywin = parseInt(work, 10);
	work = getKey(path, "window_x", "infoview");
	if(work.length) gxtopwin = parseInt(work, 10);
	work = getKey(path, "window_y", "infoview");
	if(work.length) gytopwin = parseInt(work, 10);
	
	return {
		index: index,
		name: name,
		link: link,
		frame: frame,
		path: path,
		pid: pid,
		oid: oid,
		num: 0 }
}

function makeViewIndex() {
	var bComp = new Array();
	for(var a = 0;  a < gaIndex.length; a++) bComp.push(false);
	
	var count = 0;
	var pid = 0;
	while(count < gaIndex.length) {
		for(var i = 0; i < gaIndex.length; i++) {
			if(bComp[i]) continue;
			if(pid == gaIndex[i].pid) {
				if(gaIndex[i].oid == gaIndex[i].pid) {
					bComp[i] = true;
					count++;
					//gaIndexView.push(gaIndex[i]);
				}
				else {
					bComp[i] = true;
					count++;
					var n = 0;
					for(var a = 1; a < gaIndex.length; a++) {
						if(gaIndex[i].oid == gaIndex[a].pid) n++;
					}
					gaIndex[i].num = n;
					if(n == 0) {
						gaIndexView.push(gaIndex[i]);
					}
					if(n > 0) {
						for(var j = 1; j < gaIndex.length; j++) {
							if(gaIndex[i].oid == gaIndex[j].pid && !bComp[j]) {
								bComp[j] = true;
								count++;
								gaIndexView.push(gaIndex[j]);
							}
						}
					}
				}
			}
		}
		pid++;
	}
}

ManualViewer.prototype.init = initManualViewer;

function ManualViewer.prototype.manualList() {
	return gaIndexView;
}

function ManualViewer.prototype.viewContents(e) {
	top.controlMenuList(e.srcElement);
	top.gobjManualViewer.viewDocument(e.srcElement.getAttribute("index"));
}
function ManualViewer.prototype.viewList(elem) {
	top.clearSelectElement();
	while(gaId.length > 0) gaId.pop();

	var str;
	
	if(gaIndex.length == 0) {
		elem.innerHTML = "";
		return;
	}
	
	var bComp = new Array();
	for(var a = 0;  a < gaIndex.length; a++) bComp.push(false);
	
	str = '<ul id="navigation" class="color">';
	var count = 0;
	var cindex = 0;
	var pid = 0;
	while(count < gaIndex.length) {
		for(var i = 0; i < gaIndex.length; i++) {
			if(bComp[i]) continue;
			if(pid == gaIndex[i].pid) {
				if(gaIndex[i].oid == gaIndex[i].pid) {
/*
					str += '<li><a href="#" class="head" index="' + count.toString() + '">' + gaIndex[i].name + '</a>';
					str += '</li>';
*/
					count++;
					bComp[i] = true;
				}
				else {
					var n = 0;
					for(var a = 1; a < gaIndex.length; a++) {
						if(gaIndex[i].oid == gaIndex[a].pid) n++;
					}
					var c = -1;
					if(n == 0) c = cindex++;
					var ppid = count;
					str += '<li><a href="#" ' + (n > 0 ? 'class="head"' : 'class="nohead"') + ' index="' + c.toString() + '" id="' + ppid.toString() +'" onclick="top.gobjManualViewer.viewContents(event);return false;">' + gaIndex[i].name + '</a>';
					bComp[i] = true;
					if(n == 0) gaId.push({id0:ppid.toString(), id1:""});
					count++;
					if(n > 0) {
						str += '<ul>';
						for(var j = 1; j < gaIndex.length; j++) {
							if(gaIndex[i].oid == gaIndex[j].pid && !bComp[j]) {
								str += '<li style="display:none"><a href="#" index="' + cindex.toString() + '" id="' + ppid.toString() + ',' + cindex.toString() + '" onclick="top.gobjManualViewer.viewContents(event);return false;">' + gaIndex[j].name + '</a></li>';
								bComp[j] = true;
								gaId.push({id0:ppid.toString(), id1:cindex.toString()});
								cindex++;
								count++;
							}
						}
						str += '</ul>';
					}
					str += '</li>';
				}
			}
		}
		str += '</ul>';
		pid++;
	}
	
	elem.innerHTML = str;
}

function ManualViewer.prototype.viewDocument(index) {
	var icons = top.main.contents.main.icon;
	if(index < 0 || gaIndexView[index].num > 0) {
		top.main.contents.main.page.location.href = "about:blank";
		top.main.contents.main.page.location.href = top.gsCD + "/viewer/page-top.html";
		try {
			icons.enableIcon("fontsmall", false);
			icons.enableIcon("fontbig", false);
			icons.enableIcon("print", false);
			icons.enableIcon("bookmark", false);
			icons.enableIcon("dirback", false);
			icons.enableIcon("dirnext", false);
		} catch(e) {}
	}
	else if(parseInt(index) < gaIndexView.length) {
		top.selectMenuElement(gaId[index]);
		top.giContentsIndex = index;
		while(icons.busy && icons.readyState != 4);
		top.gsTitleContents = gaIndexView[index].name;
		top.gsFrame = gaIndexView[index].frame ? "yes" : "no";
		if(gaIndexView[index].frame) { // t[\
			top.main.contents.main.page.location.href = "about:blank";
			if(!gaIndexView[index].link.match(/.pdf$/)) {	// local HTML
				top.main.contents.main.page.location.href = gaIndexView[index].link;
				startContentsElementDisable(top.main.contents.main.page);
				top.gsHREFContents = gaIndexView[index].link;
				top.giTypeContents = top.HTML_LOCAL_CONTENT;
				top.gsFileType = "HTML_MANUAL";
				try {
					icons.fontIcon(top.gsFontSize);
					icons.enableIcon("print", true);
					icons.enableIcon("bookmark", false);
				} catch(e) {}
			}
			else {	// PDFt@C̏ꍇ
				top.giTypeContents = top.PDF_CONTENT;
				top.gsFileType = "PDF_MANUAL";
				top.gsFile = gaIndexView[index].link;
				top.gsPage = 1;
				top.gsHREFContents = "file:///" + gaIndexView[index].link + "#page=" + top.gsPage;
				try {
					switch(top.gobjPDF_type) {
					case 1:
						break;
					case 2:
						top.gobjPDF.src = "dummy";	// DCΉ(2015/4/22)
						break;
					}
				} catch(e) {}
				top.main.contents.main.page.location.href = top.gsCurDirS + "view.html";
				try {
					icons.enableIcon("fontsmall", false);
					icons.enableIcon("fontbig", false);
					icons.enableIcon("print", false);
					icons.enableIcon("bookmark", false);
				} catch(e) {}
			}
		}
		else {	// ʃEBhE\
			top.main.contents.main.page.location.href = gsLink;
			top.gsHREFContents = gaIndexView[index].link;
			top.giTypeContents = top.HTML_LOCAL_CONTENT;
			top.gsFileType = "HTML_MANUAL";
			top.windowOpen(gaIndexView[index].link, "}jAт[", top.main.document.body.clientWidth, top.main.document.body.clientHeight, top.screenTop + 2, top.screenLeft + 2, "", 2);//, gxwin, gywin, null, null);
			try {
				icons.enableIcon("fontsmall", false);
				icons.enableIcon("fontbig", false);
				icons.enableIcon("print", false);
				icons.enableIcon("bookmark", false);
			} catch(e) {}
		}
		try{
			if(top.giContentsIndex == 0) {
				icons.enableIcon("dirback", false);
				if(top.giContentsIndexMax != 1) icons.enableIcon("dirnext", true);
				else icons.enableIcon("dirnext", false);
			}
			else if(top.giContentsIndex == top.giContentsIndexMax - 1) {
				icons.enableIcon("dirback", true);
				icons.enableIcon("dirnext", false);
			}
			else {
				icons.enableIcon("dirback", true);
				icons.enableIcon("dirnext", true);
			}
		} catch(e) {}
	}
}
